import { LitElement, PropertyValueMap } from 'lit';
declare const EFWorkbench_base: (new (...args: any[]) => import('./ContextMixin.js').ContextMixinInterface) & typeof LitElement;
export declare class EFWorkbench extends EFWorkbench_base {
    static styles: import('lit').CSSResult[];
    rendering: boolean;
    focusOverlay: import('lit-html/directives/ref.js').Ref<HTMLDivElement>;
    handleStageWheel(event: WheelEvent): void;
    connectedCallback(): void;
    disconnectedCallback(): void;
    update(changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    drawOverlays: () => void;
    render(): import('lit-html').TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        "ef-workbench": EFWorkbench;
    }
}
export {};
